#### TRIMCHAR

#### Synopsis

    HELP:   Character removed from end of an record (activates suppress)
    TYPE:   STRING
    SYNTAX: TRIMCHAR='bin-hex'

#### Description

Characters are suppressed at the end of record in case of decompression and text record formats (WINDOWS only).

`trimchar` refers to the character in the original character set. With the specification `trimchar=characters`, `suppress` is set automatically.

Parameters in the same context:

- CUT for truncate in z/OS
- OPTION for suppress and nosuppress on UNIX
- PADCHAR for PADCHAR on z/OS
- SUPPRESS for suppress on WINDOWS
- NOSUPPRESS for nosuppress on WINDOWS

Syntax restrictions for FLAMv4 or older:

- z/OS
  - see parameter CUT for truncate
- UNIX
  - see parameter OPTION for suppress
- WINDOWS
  - `trimchar=characters`
  - `tri=characters`
    - Note: trimchar refers to the characters in the original character set of the input file(s) which should be suppressed at the end of every record.

Values

- WINDOWS
  - for trimchar and tri: hex value 00 to FF.

Default

- WINDOWS
  - for `trimchar` and `tri`:
    If the original data is in ASCII, then the setting is `trimchar=20` (ASCII space).
    If the original data is in EBCDIC, then the setting is `trimchar=40` (EBCDIC space).
    If translate=e/a is specified for decompression and the translation table for space is 40:20, then the setting is trimchar=40.

Valid for

- decompression